#!/bin/sh
. compile.lib
. db.lib
. subst.lib

echo "-------------------- compiler test ----------------------"

# Example on detecting the compiler 
detect_compiler || exit 1
echo "Compiler is \"$CC\""

# Example on how to test-compile: save the size of an "int" in a variable,
# placing the source in a here-document
int_size=`test_compile << "End."
int main() {
	printf("%d\n", sizeof(int));
}
End.
`
echo  "Size of int is: $int_size bytes"

echo "-------------------- db test -------------------------"

db_add color1 blue a
db_add color2 "dark green" a
db_add color3 "light red" a

echo
echo "Start:"
echo "'$a'"

db_del color2 a

echo
echo "After delete:"
echo "'$a'"


echo
echo "color3 is: `db_get color3 a`"

db_get color3 a && echo "ok, color3 is found"
db_get color4 a || echo "ok, color4 is not found"

echo "------------------ Substitution test -----------------------"

subst a << "End."
This is a test file. It is ###color3### outside but if you take
a closer look, you will find that it's ###color1###.
End.

