
if test -x "/bin/true"
then
	expected="/bin/true /bin/false"
else
	if test -x "/usr/bin/true"
	then
		expected="/usr/bin/true /usr/bin/false"
	else
		echo "FATAL: can't find /bin/true or /usr/bin/true!"
		exit
	fi
fi

function test_makefile
{
	tmp1=`$with_fs_tempfile` || return 1
	echo '
test.out: '$expected'
	@echo '$1'
' > $tmp1
	make -f $tmp1
	rm $tmp1
}

tmp=`test_makefile "\\$^"`
echo "[MAKE] For \$^ output is $tmp" >> $LOG
if test "$tmp" = "$expected"
then
	echo "\$^"
	exit 0
fi

tmp=`test_makefile "\\$?"`
echo "[MAKE] For \$? output is $tmp" >> $LOG
if test "$tmp" = "$expected"
then
	echo "\$?"
	exit 0
fi

tmp=`test_makefile "\\$*"`
echo "[MAKE] For \$* output is $tmp" >> $LOG
if test "$tmp" = "$expected"
then
	echo "\$*"
	exit 0
fi

exit 1
