#Please read Readme-config

function try_python {
	q=`
	echo '
	#include <'$1'Python.h>
int main() {
	Py_Initialize();

	printf("%s", PY_VERSION);
	return 0;
}
	' | test_compile | awk '
	#allow a line that stars with 2.5, 2.4 and 2.3
	/^2.5/ {
		print "OK"
		next
	}
	/^2.4/ {
		print "OK"
		next
	}
	/^2.3/ {
		print "OK"
		next
	}
	# do not allow anything else
	{
		print "wrong"
	}
'`

	echo "[scripts] Trying python with $1, $CFLAGS, $LDFLAGS $LDFLAGS_extra -> $q" >> $LOG

	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function python_find {
	if ! test "$with_os" = "windlc"
	then
		flags="-pthread"
	else
		flags="-L/usr/bin -L/usr/local/bin"
	fi
	LDFLAGS_extra="-lPython $flags"
	try_python "" 2>/dev/null  && echo "|" $LDFLAGS_extra && return

	for n in `ls -d /usr/$with_os_prefix/include/python* /usr/local/include/python* /usr/include/python* 2>/dev/null `
	do
		LDFLAGS_extra=`echo "-l$n" | sed s@/usr.*include/@@`
		LDFLAGS_extra="$LDFLAGS_extra $flags"
		try_python "$n/" 2>/dev/null  && echo -I$n "|" $LDFLAGS_extra && return
		LDFLAGS_extra="-lpython $flags"
		try_python "$n/" 2>/dev/null && echo -I$n "|" $LDFLAGS_extra && return
	done

	# trying to get info from python itself (python executable must be in PATH)
	CFLAGS_extra=`python -c "import distutils.sysconfig; print '-I' + distutils.sysconfig.get_python_inc().replace('\\\\\\\\','/')" 2>/dev/null`
	LDFLAGS_extra=`python -c "import distutils.sysconfig; print '-L' + distutils.sysconfig.PREFIX.replace('\\\\\\\\','/') + '/libs',; import sys; print '-lpython' + str(sys.version_info[0]) + str(sys.version_info[1])" 2>/dev/null`
	try_python "" 2>/dev/null && echo "$CFLAGS_extra | $LDFLAGS_extra" && return

	# trying to use windows binaries in default install dir (c:/Python24)
	# set WIN32_PYTHON_ROOT to the path of your python binaries (where is python.exe)
	WIN32_PYTHON_ROOT=c:/Python24
	LDFLAGS_extra=`echo "-L$WIN32_PYTHON_ROOT/libs -lpython24"`
	CFLAGS_extra=`echo "-I$WIN32_PYTHON_ROOT/include"`
	try_python "" 2>/dev/null && echo "$CFLAGS_extra | $LDFLAGS_extra"
}

#remove these before you start using it
. lib/compile.lib
python_find
