#Please read Readme-config

function try_ruby {
	q=`echo '
#include <'$1'ruby.h>
#include <'$1'env.h>
int main() {
	ruby_init();
	ruby_frame->orig_func;
	ruby_finalize();
	puts("OK");
	return 0;
}
	'  | test_compile`

	echo "[scripts] Trying ruby with $1, $LDFLAGS $LDFLAGS_extra -> $q" >> $LOG

	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function ruby_find {
	#first try: maybe the OS made some bindings so ruby.h is accessible on a common place
	LDFLAGS_extra="-lruby"
	try_ruby "" 2>/dev/null && echo "|" $LDFLAGS_extra && return

	# Do we have the ruby lib dir?
	[ ! -d /usr/lib/ruby ] && return

	os=`uname | awk '{print tolower($1)}'`
	for m in `ls -d /usr/lib/ruby/*`
	do
		ver=`echo $m | sed "s/[^0123456789]*\([0123456789.]*\)$/\1/"`
		for n in `ls -d $m/* | grep $os`
		do
			LDFLAGS_extra="-lruby"
			try_ruby "$n/" 2>/dev/null  && echo -I$n "|" $LDFLAGS_extra && return
			LDFLAGS_extra="-lruby$ver"
			try_ruby "$n/" 2>/dev/null  && echo -I$n "|" $LDFLAGS_extra && return
		done
	done

	# Brutal method to find include dir (for windows and maybe some other platforms)
	incruby=`/usr/bin/find /usr/lib/ruby/* | grep "ruby.h$" | sed "s/\/ruby.h//"`
	[ -z "$incruby" ] && return
	CFLAGS_extra=`echo -I$incruby`
	for n in `/usr/bin/find /usr/lib/lib*ruby*`
	do
		LDFLAGS_extra=`echo $n | sed "s@/usr/lib/lib\(.*\).a@-l\1@"`
		try_ruby "" 2>/dev/null  && echo $CFLAGS_extra "|" $LDFLAGS_extra && return
	done
}

. lib/compile.lib
ruby_find
