#!/bin/bash
function collect()
{
	awk '
	BEGIN {
		RS="[ 	\r\n$]"
	}
	/with_/ {
		tmp=$0
		sub("^.*with_", "with_", tmp)
		sub("[^A-Za-z0-9_].*$", "", tmp)
		if (match(tmp, "_$") == 0)
			print tmp
	}
	' | sort | uniq
}

function get_vars()
{
	awk '
	/^scripts=/ {
		v=split($0, A, "[\" ]*");
		for(n=2; n<v; n++) {
			print "with_" A[n]
			print "with_" A[n] "_params_libs"
			print "with_" A[n] "_params_includes"
		}
		next
	}
	
	/with_/ {
		print $0
	}
	'
}

get_vars < configure.sh | collect | awk '
	{
	 used[$1] = 1 
	}
	
	END {
		for(n=1; (getline line < "configure.defaults") != 0; n++) {
			if ((match(line, "^#") == 0) && (line != "")) {
				value=line
				sub("^R", "", line)
				sub("=.*", "", line)
				sub(".*=", "", value)
				if (used[line] == 1) {
					default[line] = "+" value
				}
				else {
					print "Unused default: " line " = " value
				}
			}
		}
		for(n in used) {
			if (default[n] == "") {
				print "Undefined default: " n
			}
		}
	}

'



