#ifndef hash_cursor_h_included
#define hash_cursor_h_included
#include "hash.h"
/* WARNING: rehash kills all cursors on a hash table! */

typedef struct hash_cursor_t {
	const hash_t *h;
	int tbl_pos;
	hdata_t *current;
} hash_cursor_t;

hash_cursor_t *hash_cursor_new(const hash_t *h);
void *hash_cursor_next(hash_cursor_t *curs);
void *hash_cursor_key(hash_cursor_t *curs);
void *hash_cursor_data(hash_cursor_t *curs);
void hash_cursor_data_write(hash_cursor_t *curs, void *new_data);
void hash_cursor_destroy(hash_cursor_t *curs);
void *hash_cursor_rewind(hash_cursor_t *curs);


#endif /* hash_cursor_h_included */
