#include <stdio.h>
#include <unistd.h>

/* We used to have an os-dependent sendfile() call here */

int cli_copy_file(FILE *from, FILE *to)
{
	char buff[BUFSIZ];
	int from_, to_, len;

	from_ = fileno(from);
	to_   = fileno(to);

	/* Fallback: much slower but will run anywhere */
	for(;;) {
		len = read(from_, buff, sizeof(buff));
		if (len <= 0)
			return len;

		write(to_, buff, len);
	}

	/* We never get here, this return will supress a warning with -Wall */
	return -1;
}
