#include <stdlib.h>
#ifndef WIN32
#include <sys/types.h>
#include <sys/stat.h>
#else
#define fsync FlushFileBuffers
#endif

int cli_copy_file(FILE *from, FILE *to);

static inline void cli_sleep(int delay)
{
#	ifdef WIN32
		Sleep(delay);
#	else
		usleep(delay);
#	endif
}

static inline const char *cli_set_commandline(const char *fn)
{
	const char *commandline;

#	ifdef WIN32
		commandline = malloc(strlen(fn) + 4);
		sprintf(commandline, "sh %s", fn);
#	else
		chmod(fn, S_IXUSR | S_IRUSR | S_IWUSR);
		commandline = fn;
#	endif

	return commandline;
}
