# This is an example how to use Perl with gpmi. This script is also part of
# the regression test

sub RunData {
	my($data) = @_;
	gpmi_puts_nonl("main:RunData ". $data . " == 0x1234\n");
	$data2++;
}

sub ev_cycle {
	my($timer_data) = @_;
	$TTL = TimerInfo($timer_data, "TTL");
	$freq = TimerInfo($timer_data, "freq");
	$user_data = TimerInfo($timer_data, "user_data");

	gpmi_puts_nonl("main:ev_cycle ( " . $gTTL . " == " . $TTL . " )  ( " . $gfreq . " ==  " . $freq . " ) ( " . $user_data . " == data1 ) (runs 4 times)\n");
	$gTTL--;
}

sub ev_every_second {
	my($timer_data) = @_;
	$TTL = TimerInfo($timer_data, "TTL");
	$freq = TimerInfo($timer_data, "freq");
	$user_data = TimerInfo($timer_data, "user_data");

	gpmi_puts_nonl("main:ev_every_second ( " . $gTTL . " == " . $TTL . " )  ( " . $gfreq . " == " . $freq . " ) ( " . $user_data . " == data2 ) (runs 3 times)\n");
	$gTTL--;
}

sub ev_nothing {
	my($id, $year, $param) = @_;
	gpmi_puts_nonl("main:ev_nothing: year: ( " . $gyear . " == " . $year . " ) param: ( " . $gparam . " == " . $param . " ) \n");
}

gpmi_puts_nonl("main:Running init part.\n");

# Check timers
$gTTL = 4;
$gfreq = 0;
AddTimer(4, 0, "ev_cycle", "data1");
$gTTL = 3;
$gfreq = 2;
AddTimer(3, 2, "ev_every_second", "data2");

# Check package loading
PkgLoad("example", 0);
gpmi_puts_nonl("main:main1 " . Example_int(10) . " == 1244 when works\n");

# Check events
Bind("Example_nothing", "ev_nothing");
$gyear = 2005;
$gparam = 155;
Example_do_nothing(155);


# Check FakeEvent
$gyear = 3000;
$gparam = 20;
FakeEvent("Example_nothing", "3000 20");

gpmi_puts_nonl("main:main2 Finished init part.\n");
